Strapi and netlify integration not working Error: Cannot find module "strapi-plugin-netlify-deployments"

PLEASE help us help you by writing a good post!

And this is my vite project package.json

“dependencies”: {
@tailwindcss/typography”: “^0.5.2”,
“strapi-plugin-netlify-deployments”: “^2.0.2”

The better the post - the faster the answer.

Looks like you’ve removed the plugin. Do you still need help?

Yes, @hrishikesh I can add here. We have not removed the plugin. The Netlify deployment when it builds just leaves it out for no reason. https://eclectic-content.netlify.app/admin/

here is my package.json file:

  "devDependencies": {},
  "dependencies": {
    "@strapi/plugin-cloud": "4.19.0",
    "@strapi/plugin-i18n": "4.19.0",
    "@strapi/plugin-users-permissions": "4.19.0",
    "@strapi/strapi": "4.20.1",
    "better-sqlite3": "8.6.0",
    "react": "^18.0.0",
    "react-dom": "^18.0.0",
    "react-router-dom": "5.3.4",
    "strapi-plugin-netlify-deployments": "^2.0.2",
    "styled-components": "5.3.3"
  },

But I am getting the same error.
Help!!!

@mpstaton is discussing here: How do we include a partner engineer on this forum for Strapi?